Page tree

The license could not be verified: License Certificate has expired!

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • CMake MUST be installed. The minimum required version is CMake 3.10 and we recommend using the recommended version is 3.15. CMake 3.15 is required for VS 2019.

  • Blank spaces MUST NOT be used in directory path names as this will cause the build to fail.

  • (Windows) NSIS or WiX should be installed in order to create an install image with CPack. NSIS will create a .exe installer. WiX will create a .msi installer.

    Visual Studio Express users will not be able to package HDF into an install image executable. Turn off packaging by doing the following:

    • Edit HDF4options.cmake.
    • Add the line:   set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} –DNO_LOCAL_PACKAGE:BOOL=ON")
    • Uncomment the line:   set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF4_NO_PACKAGES:BOOL=ON")
    • Comment out the line:   set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF4_PACKAGE_EXTLIBS:BOOL=ON")

...